<?php include "../index/conexion.inc" ?>
<?php include "../index/validacion.php" ?>
<?php
	// conexión
	$servername = $svr_servidor;
	$conectioninfo = array("Database"=>$svr_base, "UID"=>$svr_usuario, "PWD"=>$svr_contrasena, "CharacterSet"=>"UTF-8");
	$conexion = sqlsrv_connect($servername, $conectioninfo);
	if ($conexion == false)
	{
		$mensaje = "Existe un error al intentar conectarse con el servidor...";
	}
	else
	{
		// VARIABLES
		$cV01 = $_POST['desde'];	/* DESDE */
		$cV02 = $_POST['hasta'];	/* HASTA */
		// PARAMETROS PARA EXPORTAR
		header("Pragma: public");
		header("Expires: 0");
		$filename = "Solicitudes de compra.xls";
		header("Content-type: application/x-msdownload");
		header("Content-Disposition: attachment; filename=$filename");
		header("Pragma: no-cache");
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		echo "
			<table>
				<thead>
					<tr>
						<th>FECHA SALIDA</th>
						<th>SERIE TRASLADO</th>
						<th>NUMERO TRASLADO</th>
						<th>DOCUMENTO</th>
						<th>DOC TRASLADO</th>
						<th>ORIGEN</th>
						<th>DESTINO</th>
						<th>UNIDADES TOTAL</th>
						<th>DOCENTRY TRA</th>
						<th>ESTADO</th>
						<th>FECHA RECEPCION</th>
						<th>SERIE T RECIBIDO</th>
						<th>DOCUMENTO</th>
						<th>DOC TRASLADO REC</th>
						<th>NOMBRE ALMACEN</th>
						<th>UNIDADES TOTAL</th>
						<th>DOCENTRY</th>
					</tr>
				</thead>
				<tbody>";
					// CONSULTA SQL
					$sql = "EXECUTE JOIN_REPORTE_E_S '".$cV01."' , '".$cV02."'";
					$pa1 = array();
					$op1 = array("scrollable" => SQLSRV_CURSOR_KEYSET);
					// Lanzar la consulta
					//$re1 = sqlsrv_query($conexion, $sql, $pa1, $op1);
					$re1 = sqlsrv_prepare( $conexion, $sql, array());
					if( sqlsrv_execute( $re1 ) === false ) {
			
						die( print_r( sqlsrv_errors(), true));
					}
					while($fila = sqlsrv_fetch_array($re1))
					{
						echo "
							<tr>
								<td>".$fila['FECHA_SALIDA']->format('Y-m-d h:m:s')."</td>
									<td>".$fila['SERIE_TRASLADO']."</td>
									<td>".$fila['NUMERO_TRASLADO']."</td>
									<td>".$fila['DOCUMENTO']."</td>
									<td>".$fila['DOC_TRASLADO']."</td>
									<td>".$fila['ORIGEN']."</td>
									<td>".$fila['DESTINO']."</td>
									<td>".$fila['UNIDADESTOTAL']."</td>
									<td>".$fila['DOCENTRY_TRA']."</td>
									<td>".$fila['ESTADO']."</td>
									<td>".$fila['FECHA_RECEPCION']->format('Y-m-d h:m:s')."</td>
									<td>".$fila['SERIE_T_RECIBIDO']."</td>
									<td>".$fila['NUMERO_T_RECIBIDO']."</td>
									<td>".$fila['DOCUMENTO']."</td>
									<td>".$fila['DOC_TRASLADO_REC']."</td>
									<td>".$fila['NOMBREALMACEN']."</td>
									<td>".$fila['UNIDADESTOTAL']."</td>
							</tr>
						";
					}
				echo "
				</tbody>
			</table>
		";
	}
	// Desconexion
	sqlsrv_close($conexion);
?>